%define _disable_ld_no_undefined 1

Name:		cmus
Version:	2.12.0
Release:	%mkrel 2
Summary:	A powerful ncurses-based music player
URL:		https://cmus.github.io/
License:	GPLv2
Group:		Sound/Players
Source:		https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		cmus-2.7.1-fix-install.patch
BuildRequires:	ffmpeg-devel
BuildRequires:	mp4v2-devel
BuildRequires:	musepack-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libcdio_cdda)

%if "%{?distro_section}" == "tainted"
BuildRequires:	pkgconfig(faad2)
%endif

Requires:	ncurses

%description
cmus is a powerful music player with an ncurses UI. It supports many
different file types like FLAC, Ogg/Vorbis, etc. and is able to handle play
lists.
%if "%{?distro_section}" == "tainted"
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%autosetup -p1

%build
%set_build_flags
./configure prefix=%{_prefix} libdir=%{_libdir} DEBUG=0
%make_build

%install
%make_install

%files
%doc README.md
%{_docdir}/%{name}/examples/
%{_bindir}/*
%{_libdir}/cmus/
%{_datadir}/cmus/
%{_mandir}/man1/*
%{_mandir}/man7/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.12.0-2.mga10
+ Revision: 2231259
- Mageia 10 Mass Rebuild

* Sun Dec 08 2024 daviddavid <daviddavid> 2.12.0-1.mga10.tainted
+ Revision: 2122715
- new version: 2.12.0

* Sun Dec 08 2024 daviddavid <daviddavid> 2.11.0-2.mga10
+ Revision: 2122603
- rebuild for new ffmpeg 7.1

* Fri Jul 05 2024 daviddavid <daviddavid> 2.11.0-1.mga10.tainted
+ Revision: 2079829
- new version: 2.11.0

* Thu Mar 30 2023 daviddavid <daviddavid> 2.10.0-3.mga9.tainted
+ Revision: 1950856
- switch to latest musepack SV8 instead of deprecated libmpcdec

* Sun Nov 20 2022 wally <wally> 2.10.0-2.mga9.tainted
+ Revision: 1909257
- rebuild for flac 1.4.2

* Mon Oct 17 2022 kekepower <kekepower> 2.10.0-1.mga9.tainted
+ Revision: 1897315
- Update to version 2.10.0

* Sat Mar 12 2022 mrambo3501 <mrambo3501> 2.9.1-2.mga9.tainted
+ Revision: 1790652
- rebuild for ffmpeg 5.0

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 2.9.1-1.mga9.tainted
+ Revision: 1768330
- version 2.9.1

* Tue May 25 2021 akien <akien> 2.8.0-5.mga9
+ Revision: 1728202
- Rebuild for sndio 1.8.0 with fixed SONAME

* Mon Aug 03 2020 daviddavid <daviddavid> 2.8.0-4.mga8
+ Revision: 1610689
- rebuild for new sndio 1.7.0

* Sat Feb 15 2020 umeabot <umeabot> 2.8.0-3.mga8.tainted
+ Revision: 1527274
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Jul 14 2019 daviddavid <daviddavid> 2.8.0-2.mga8
+ Revision: 1421299
- rebuild for new libcdio 2.1.0

* Mon Apr 15 2019 daviddavid <daviddavid> 2.8.0-1.mga7.tainted
+ Revision: 1390594
- new version: 2.8.0

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-10.mga7.tainted
+ Revision: 1296623
- Mageia 7 Mass Rebuild

* Sun Jan 14 2018 wally <wally> 2.7.1-9.mga7.tainted
+ Revision: 1193040
- rebuild for new libcdio

* Sat Dec 30 2017 wally <wally> 2.7.1-8.mga7.tainted
+ Revision: 1187979
- rebuild for new libcue

* Wed Nov 22 2017 tv <tv> 2.7.1-7.mga7
+ Revision: 1178596
- rebuild for new libcue

* Wed Oct 11 2017 daviddavid <daviddavid> 2.7.1-6.mga7.tainted
+ Revision: 1171073
- add patch to fix make install

* Tue May 02 2017 akien <akien> 2.7.1-5.mga6.tainted
+ Revision: 1098282
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 2.7.1-4.mga6.tainted
+ Revision: 1089846
- Rebuild for ffmpeg 3.2.4

* Wed Mar 01 2017 ghibo <ghibo> 2.7.1-3.mga6
+ Revision: 1088242
- Rebuilt against pulseaudio 10

* Sun Feb 14 2016 umeabot <umeabot> 2.7.1-2.mga6.tainted
+ Revision: 959808
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 2.7.1-1.mga6.tainted
+ Revision: 953309
- New version 2.7.1

* Tue Oct 27 2015 daviddavid <daviddavid> 2.6.0-3.mga6
+ Revision: 895742
- update doc file list to fix build with latest rpm

* Thu Jul 16 2015 sander85 <sander85> 2.6.0-2.mga6.tainted
+ Revision: 854685
- Rebuild for new libcdio

* Sat Jun 20 2015 shlomif <shlomif> 2.6.0-1.mga6
+ Revision: 835882
- New version 2.6.0

* Fri Nov 14 2014 akien <akien> 2.5.0-10.mga5.tainted
+ Revision: 797220
- Improve ffmpeg 2.4 patch

* Fri Nov 14 2014 akien <akien> 2.5.0-9.mga5
+ Revision: 797208
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-8.mga5.tainted
+ Revision: 741491
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.5.0-7.mga5.tainted
+ Revision: 693650
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-6.mga5
+ Revision: 678453
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 wally <wally> 2.5.0-5.mga5.tainted
+ Revision: 611357
- add patch to fix build with libmodplug
- add some missing BRs
- create tainted build (because of faad2)
- fix url

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.5.0-4.mga5
+ Revision: 592237
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 2.5.0-3.mga4
+ Revision: 533583
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 2.5.0-2.mga4
+ Revision: 473970
- fix build with latest cdio
- rebuild for new libcdio

* Thu Aug 22 2013 shlomif <shlomif> 2.5.0-1.mga4
+ Revision: 469720
- New version 2.5.0

* Mon Jul 15 2013 fwang <fwang> 2.4.3-4.mga4
+ Revision: 454584
- fix build with ffmpeg 2.0

* Fri Jan 11 2013 umeabot <umeabot> 2.4.3-4.mga3
+ Revision: 347952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 2.4.3-3.mga3
+ Revision: 323090
- Corrected group to new policy
- Corrected license

* Tue May 29 2012 fwang <fwang> 2.4.3-2.mga3
+ Revision: 249082
- rebuild for new ffmpeg

* Thu Dec 15 2011 shlomif <shlomif> 2.4.3-1.mga2
+ Revision: 182288
- imported package cmus



* Thu Dec 15 2011 Alexander Scherbakov <neocrust@gmail.com> 2.4.3-1.mga2
- version 2.4.3 added to Mageia
- initial package
